<p align="center">
   <img src="https://raw.githubusercontent.com/hellzerg/optimizer/master/banner.png">
</p> 

<p align="center">
	<a href="https://github.com/hellzerg/optimizer/releases/download/13.5/Optimizer-13.5.exe" target="_blank">
		<img src="https://raw.githubusercontent.com/hellzerg/optimizer/master/download-button.png">
		<br>
		<img src="https://raw.githubusercontent.com/hellzerg/optimizer/master/flags.png">
	</a>
</p> 

### ℹ️ Summary: ###

Portable utility that helps you restore your privacy and increase your security.<br>
Optimizer is recommended after a fresh, clean installation of Windows to achieve maximum privacy and security.<br>
Depending on your version of Windows, Optimizer will also allow you to perform some specific tweaks.

* Full multilingual support (17 languages available)
* Speed up your system and network performance
* Disable unnecessary Windows services
* Disable Windows telemetry, Cortana and many more
* Disable Office telemetry (works only with Office 2016)
* Disable Windows 10 automatic updates
* Download useful apps quickly at once
* Uninstall UWP apps
* Clean your system drive and major browsers' profile data
* Fix common registry issues
* Ping IPs and assess your latency
* Search IPs on SHODAN.io
* Rapidly change DNS server (from a pre-made list)
* Flush DNS cache
* Remove unwanted programs running at startup
* Edit your HOSTS file
* Find file lock handles and kill associated processes
* Network speed monitoring
* Hardware inspection tool
* Add items in desktop on right-click menu
* Define custom commands for run dialog
* Silent run support using a configuration file

<hr>

### ⬇️ Downloads: ###
https://github.com/hellzerg/optimizer/releases

<hr>

### 🖼️ Screenshots: ###
https://github.com/hellzerg/optimizer/blob/master/IMAGES.md

<hr>

### 🆘 How to effectively disable Defender in Windows 10 1903 and later ###
Restart in SAFE-MODE and run Optimizer with ```/disabledefender``` switch
<br>-OR-<br>
Execute Optimizer with ```/restart=disabledefender``` switch and let it do the rest automatically

<hr>

### 🔨 Command-line options and silent configuration files: ###
https://github.com/hellzerg/optimizer/blob/master/CONFS.md

<hr>

### ❓ Frequently asked questions section: ###
https://github.com/hellzerg/optimizer/blob/master/FAQ.md

<hr>

### 📜 Changelog: ###
https://github.com/hellzerg/optimizer/blob/master/CHANGELOG.md

<hr>

### 🖼️ Early development images: ###
https://github.com/hellzerg/optimizer/blob/master/LEGACY.md

<hr>

### 💻 Compatibility: ###

* .NET Framework 4.5.2
* Compatible with Windows 7, 8, 8.1, 10, 11
* Can run under Windows Server 2008, 2012, 2016, 2019, 2022 using ```/unsafe``` switch

<hr>

### #️ Details: ###

* Latest version: 13.5
* Released: June 5, 2022
* SHA256: 62A85018BE2AB21DDC41A4D7CCA43159BEC20EA0C9B7F60BD4A58C8E91957A7B

<hr>

### ☕ Buy me a delicious espresso ###
Support my hard work by donating me through [PayPal](https://www.paypal.com/paypalme/supportoptimizer)

<hr>

### 🌐 Join our [Discord](https://discord.gg/rZh8BhmmQv) community

<hr>

### ❤️ Tools used: ###
* [ByteSize](https://github.com/omar/ByteSize) | Thanks for this really tiny, yet extremely useful library

<hr>

### ❤️ Credits for translating: ###
* https://github.com/mrkaban - mrkaban for Russian translation
* https://github.com/theflamehd - theflamehd for German translation
* https://github.com/Kheasyque - Kheasyque for Turkish translation
* https://github.com/danielcshn - danielcshn for Spanish translation
* https://github.com/cassiompf - Cassio for Portuguese translation
* https://github.com/RAFF47 - RAFF for French translation
* https://github.com/Ziocash - Ziocash for Italian translation
* https://github.com/btwise - btwise for Chinese translation
* https://github.com/tomlonghorn - Tom Longhorn for Czech translation
* https://github.com/H3XDaemon - H3XDaemon for Taiwanese translation
* https://github.com/VenusGirl - VenusGirl for Korean translation
* https://github.com/Wilamaxin - Wilamaxin for Polish translation
* https://github.com/MesterPerfect - MesterPerfect for Arabic translation
* Parwar Andam for Kurdish translation
* Zan for Hungarian translation